# frozen_string_literal: true

module Hermes
    module Tools
        # Handlers for transition from old to enw
        module LabelInterpreter# utilitaire pour obtenir le modèle adéquat avec une étiquette
            def target_class(name = 'entity')
                raise ArgumentError, 'parameter can\'t be blank' if name.blank?

                case name.downcase
                when 'entity'
                    Hermes::Entity
                when 'lessor'
                    Hermes::Lessor
                else
                    raise ArgumentError, "'#{name}' is not a valid class label - use 'entity' or 'lessor'"
                end
            end
        end
    end
end

include Hermes::Tools::LabelInterpreter
