def check_active_application_with_wrong_status(csv_output_path)
  require 'csv'
  output_data = [{
                   housing_application_id: "housing_application_id]&.id&.to_s",
                   housing_application_updated_at: "housing_application&.updated_at&.to_s",
                   application_status: "application_status",
                   application_is_active: "housing_application&.is_active&.to_s",
                   error: "false si pas d'erreur"
                 }]
  housing_applications = Hermes::HousingApplication.where({is_active: true, status: {:$ne => nil}})
  total = housing_applications.length.to_s
  inactiv_status = [
    'DESISTEMENT APRES CAL',
    'REFUSEE EN CAL',
    'NON RETENUE',
    'NON RETENUE EN CAL',
    'LOGE',
    'DESISTEMENT SALARIE AVANT CAL',
    'ANNULEE BAILLEUR',
    'DESISTEMENT',
    'ANNULEE',
  ]
  housing_applications.batch_size(5).each_with_index do |housing_application, i|
    begin
     
      if inactiv_status.include? housing_application.status
        active_activation_id_error = {
          housing_application_id: housing_application&.id&.to_s,
          housing_application_updated_at: housing_application&.updated_at&.to_s,
          application_status: housing_application&.status&.to_s,
          application_is_active: housing_application&.is_active&.to_s,
          error: false
        }
        output_data.push( active_activation_id_error)
        ap  active_activation_id_error
      
      end
      ap i.to_s + " / " + total.to_s
    rescue Exception => e
      ap e
      output_data.push({
                         housing_application_id: nil,
                         housing_application_updated_at: nil,
                         application_status: nil,
                         application_is_active: nil,
                         error: e.to_s
                       })
    end
  end
  return if output_data.length == 0
  ap "=============="
  ap "nombre de cas en erreur traités"
  ap output_data.length
  ap "=============="
  CSV.open(csv_output_path, "wb") do |csv|
    csv << output_data.first.keys # adds the attributes name on the first line
    output_data.each do |hash|
      csv << hash.values
    end
  end
end

check_active_application_with_wrong_status("/home/webapp/output_check_active_application_with_wrong_status.csv")
